# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/panel-lvds.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Generic LVDS Display Panel

maintainers:
  - Lad Prabhakar <prabhakar.mahadev-lad.rj@bp.renesas.com>
  - Thierry Reding <thierry.reding@gmail.com>

allOf:
  - $ref: panel-common.yaml#
  - $ref: /schemas/display/lvds.yaml#

select:
  properties:
    compatible:
      contains:
        const: panel-lvds

  not:
    properties:
      compatible:
        contains:
          enum:
            - advantech,idk-1110wr
            - advantech,idk-2121wr
            - innolux,ee101ia-01d
            - mitsubishi,aa104xd12
            - mitsubishi,aa121td01
            - sgd,gktw70sdae4se

  required:
    - compatible

properties:
  compatible:
    items:
      - enum:
          # Admatec 9904379 10.1" 1024x600 LVDS panel
          - admatec,9904379
          - auo,b101ew05
          # Chunghwa Picture Tubes Ltd. 7" WXGA (800x1280) TFT LCD LVDS panel
          - chunghwa,claa070wp03xg
          # EDT ETML0700Z9NDHA 7.0" WSVGA (1024x600) color TFT LCD LVDS panel
          - edt,etml0700z9ndha
          # HannStar Display Corp. HSD101PWW2 10.1" WXGA (1280x800) LVDS panel
          - hannstar,hsd101pww2
          # Hydis Technologies 7" WXGA (800x1280) TFT LCD LVDS panel
          - hydis,hv070wx2-1e0
          # Jenson Display BL-JT60050-01A 7" WSVGA (1024x600) color TFT LCD LVDS panel
          - jenson,bl-jt60050-01a
          - tbs,a711-panel

      - const: panel-lvds

unevaluatedProperties: false

required:
  - compatible
  - data-mapping
  - width-mm
  - height-mm
  - panel-timing
  - port

...
